Subject: Re: Again, XWin crashes with cigwin-1.5.15-1 on Win98.
From: "Rodrigo Medina" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 25 Apr 2005 02:10:13 -0400

Hi,
I have installed the 20050422 snapshot. I made a backtrace.
I hope it is more useful.
---------------------------------------
 $gdb XWin
GNU gdb 6.3.50_2004-12-28-cvs (cygwin-special)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i686-pc-cygwin"...(no debugging symbols found)

(gdb) run -multiwindow
Starting program: /usr/X11R6/bin/XWin.exe -multiwindow
Welcome to the XWin X Server
Vendor: The Cygwin/X Project
Release: 6.8.2.0-1

Contact: [email-masked]

XWin was started with the following command line:

/usr/X11R6/bin/XWin -multiwindow 

winValidateArgs - g_iNumScreens: 1 iMaxConsecutiveScreen: 1
(II) XF86Config is not supported
(II) See http://x.cygwin.com/docs/faq/cygwin-x-faq.html for more information
(==) FontPath set to
"/usr/X11R6/lib/X11/fonts/misc/,/usr/X11R6/lib/X11/fonts/TTF/,/usr/X11R6/lib
/X11/fonts/Type1/,/usr/X11R6/lib/X11/fonts/CID/,/usr/X11R6/lib/X11/fonts/75d
pi/,/usr/X11R6/lib/X11/fonts/100dpi/"
winPrefsLoadPreferences: /usr/X11R6/lib/X11/system.XWinrc
LoadPreferences: XWinrc loaded
GetModuleHandleA succeed

LoadLibrary returns baaa0000
winDetectSupportedEngines - Windows 95/98/Me
winDetectSupportedEngines - DirectDraw installed
winDetectSupportedEngines - DirectDraw4 installed
winDetectSupportedEngines - Returning, supported engines 00000007
winSetEngine - Multi Window or Rootless => ShadowGDI
winAdjustVideoModeShadowGDI - Using Windows display depth of 16 bits per
pixel
winAllocateFBShadowGDI - Creating DIB with width: 800 height: 600 depth: 16
winFinishScreenInitFB - Masks: 0000f800 000007e0 0000001f
winInitVisualsShadowGDI - Masks 0000f800 000007e0 0000001f BPRGB 6 d 16 bpp
16
null screen fn ReparentWindow
null screen fn RestackWindow
InitQueue - Calling pthread_mutex_init
InitQueue - pthread_mutex_init returned
InitQueue - Calling pthread_cond_init
InitQueue - pthread_cond_init returned

Program received signal SIGSEGV, Segmentation fault.
[Switching to thread -326659.0xffc6eb39]
0xbff7a606 in KERNEL32!Heap32ListNext ()
   from /cygdrive/c/WINDOWS/SYSTEM/KERNEL32.DLL
(gdb) thread apply all bt                   

Thread 4 (thread -326659.0xffc6eb39):
#0  0xbff7a606 in KERNEL32!Heap32ListNext ()
   from /cygdrive/c/WINDOWS/SYSTEM/KERNEL32.DLL
#1  0x00000013 in ?? ()
#2  0x0181ec84 in ?? ()
#3  0x00000012 in ?? ()
#4  0xdf0df046 in ?? ()
#5  0x0181d420 in ?? ()
#6  0x00000000 in ?? () from 

Thread 3 (thread -326659.0xffc6a711):
#0  0x6109b4ac in wait_sig (self=0x610ffbdc)
    at /netrel/src/cygwin-snapshot-20050422-1/winsup/cygwin/sigproc.cc:1020
#1  0x61003673 in cygthread::stub (arg=0x610ffbdc)
    at /netrel/src/cygwin-snapshot-20050422-1/winsup/cygwin/cygthread.cc:73
#2  0x61004694 in _cygtls::call2 (func=0x61003600 <cygthread::stub(void*)>, 
    arg=0xfdeaf0, buf=0xfdf020)
    at /netrel/src/cygwin-snapshot-20050422-1/winsup/cygwin/cygtls.cc:93
#3  0x6100464a in _cygtls::call (func=0, arg=0x0)
    at /netrel/src/cygwin-snapshot-20050422-1/winsup/cygwin/cygtls.cc:82
#4  0x00000000 in ?? () from 
Current language:  auto; currently c++

Thread 2 (thread -326659.0xffc6aabd):
#0  0xbff99b32 in SetThreadExecutionState ()
   from /cygdrive/c/WINDOWS/SYSTEM/KERNEL32.DLL
#1  0xbffa222a in KERNEL32!GetCPInfoExA ()
   from /cygdrive/c/WINDOWS/SYSTEM/KERNEL32.DLL
#2  0xbff7c8b3 in RegisterServiceProcess ()
   from /cygdrive/c/WINDOWS/SYSTEM/KERNEL32.DLL
#3  0xc14f9640 in ?? ()
---Type <return> to continue, or q <return> to quit---
#4  0xffffffff in ?? ()
#5  0x00000000 in ?? () from 

Thread 1 (thread -326659.0xffc60929):
#0  0x610ac77c in pthread::create (this=0x100f0d90, 
    func=0x4404e0 <end+4429024>, newattr=0x0, threadarg=0x100f0a90)
    at /netrel/src/cygwin-snapshot-20050422-1/winsup/cygwin/thread.cc:316
#1  0x610b0e70 in pthread::create (thread=0x100ec354, attr=0x0, 
    start_routine=0x4404e0 <end+4429024>, arg=0x100f0a90)
    at /netrel/src/cygwin-snapshot-20050422-1/winsup/cygwin/thread.cc:1934
#2  0x6109557f in _sigfe ()
    at /netrel/src/cygwin-snapshot-20050422-1/winsup/cygwin/cygserver.h:82
#3  0x004404e0 in end ()
#4  0x100f0a90 in ?? ()
#5  0x00000008 in ?? ()
#6  0x00000003 in ?? ()
#7  0x100f0a90 in ?? ()
#8  0x100ec360 in ?? ()
#9  0x100ec2b0 in ?? ()
#10 0x007b9050 in end ()
#11 0x00b7ed18 in ?? ()
#12 0x0043d371 in end ()
#13 0x100ec358 in ?? ()
#14 0x100ec350 in ?? ()
#15 0x100ec354 in ?? ()
#16 0x100ec360 in ?? ()
#17 0x00000000 in ?? () from 
#0  0xbff7a606 in KERNEL32!Heap32ListNext ()
   from /cygdrive/c/WINDOWS/SYSTEM/KERNEL32.DLL
   from /cygdrive/c/WINDOWS/SYSTEM/KERNEL32.DLL
(gdb) 
(gdb) 
(gdb) quit
-----------------------------------

Bye
R. M.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/